Subject: Re: 23.0.90; Emacs.app crashes when a dialog box is poppe-up [both 23.0.90.1 AND 23.1.50.1]

From: Livin Stephen Sharma <[email-masked]>
Date: Sun, 27 Sep 2009 07:39:02 +0530

Confirming that the Aqua y/n prompt dialog works fine:
 no crash, and
 emacs exits fine.

2009/9/19 Livin Stephen Sharma <[email-masked]>

> I'm on a slow n/w connection this weekend... please give me a couple of
> days to check this out.
> BTW, as a *partial* workaround, I had added this to my .emacs:
>
> (global-unset-key (quote [ns-power-off])) ; prevent 'aqua'/'ns'
>> prompt-related crashes on exit
>
> (global-unset-key (quote [(menu-bar) file exit-emacs])) ; prevent
>> 'aqua'/'ns' prompt-related crashes on exit
>
>
> Thanks for pointing out the potential fix!
>
>  Livin Stephen
> [email-masked]
>
>
>
>
> 2009/9/19 Adrian Robert <[email-masked]>
>
>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3979
>>
>> I checked in external function declaration in nsfns.m on 2009-08-21 that
>> fixed a related crash (bug #2154) on Leopard/PPC.  If you haven't checked
>> this since then could you please see if the issue still exists?
>>
>>
>